$!========================================================================
$!
$! Xpdf compile script for VMS.
$!
$! Copyright 1996 Derek B. Noonburg
$!
$!========================================================================
$!
$ rc4 = f$search("rc4.cc").nes.""
$ md5 = f$search("md5.cc").nes.""
$ crypt_inst = rc4 + md5
$ if (crypt_inst .eq. 0)
$ then 
$   crypt_objs = ""
$ else
$   if (crypt_inst .eq. 2)
$   then 
$     crypt_objs = ",rc4.obj,md5.obj"
$   else
$     type sys$input: 
You have one of rc4.c and md5.c installed but also one of them is missing.
This looks pretty much like a broken installation of the decryption patches.
Please check and correct your source tree. 

Build is exiting now.
$     exit
$   endif
$ endif
$ XPDF_OBJS = "Array.obj,Catalog.obj,Dict.obj,Error.obj," + -
              "FontEncoding.obj,FontFile.obj,Gfx.obj," + -
              "GfxFont.obj,GfxState.obj,Lexer.obj,Link.obj," + -
              "LTKOutputDev.obj,Object.obj,OutputDev.obj,Page.obj," + -
              "Params.obj,Parser.obj,PDFDoc.obj,PSOutputDev.obj," + -
              "Stream.obj,TextOutputDev.obj,XOutputDev.obj,XRef.obj" + -
              "''crypt_objs'"
$ XPDF_LIBS = "[-.ltk]libltk.olb/lib,[-.goo]libgoo.olb/lib"
$!
$ PDFTOPS_OBJS = "Array.obj,Catalog.obj,Dict.obj,Error.obj," + -
                 "FontEncoding.obj,FontFile.obj,Gfx.obj," + -
                 "GfxFont.obj,GfxState.obj,Lexer.obj,Link.obj," + -
                 "Object.obj,OutputDev.obj,Page.obj,Params.obj," + -
                 "Parser.obj,PDFdoc.obj,PSOutputDev.obj,Stream.obj," + -
                 "XRef.obj''crypt_objs'"
$ PDFTOPS_LIBS = "[-.goo]libgoo.olb/lib"
$!
$ PDFTOTEXT_OBJS = "Array.obj,Catalog.obj,Dict.obj,Error.obj," + -
                   "FontEncoding.obj,FontFile.obj,Gfx.obj," + -
                   "GfxFont.obj,GfxState.obj,Lexer.obj,Link.obj," + -
                   "Object.obj,OutputDev.obj,Page.obj,Params.obj," + -
                   "Parser.obj,PDFdoc.obj,TextOutputDev.obj,Stream.obj," + -
                   "XRef.obj''crypt_objs'"
$ PDFTOTEXT_LIBS = "[-.goo]libgoo.olb/lib"
$!
$ PDFINFO_OBJS = "Array.obj,Catalog.obj,Dict.obj,Error.obj," + -
                 "FontEncoding.obj,FontFile.obj,Gfx.obj," + -
                 "GfxFont.obj,GfxState.obj,Lexer.obj,Link.obj," + -
                 "Object.obj,OutputDev.obj,Page.obj,Params.obj," + -
                 "Parser.obj,PDFdoc.obj,Stream.obj,XRef.obj''crypt_objs'"
$ PDFINFO_LIBS = "[-.goo]libgoo.olb/lib"
$!
$ PDFTOPBM_OBJS = "Array.obj,Catalog.obj,Dict.obj,Error.obj," + -
                  "FontEncoding.obj,FontFile.obj,Gfx.obj," + -
                  "GfxFont.obj,GfxState.obj,Lexer.obj,Link.obj," + -
                  "Object.obj,OutputDev.obj,PBMOutputDev.obj,Page.obj," + -
                  "Params.obj,Parser.obj,PDFdoc.obj,Stream.obj," + -
                  "TextOutputDev.obj,XOutputDev.obj,XRef.obj''crypt_objs'"
$ PDFTOPBM_LIBS = "[-.goo]libgoo.olb/lib"
$!
$ PDFIMAGES_OBJS = "Array.obj,Catalog.obj,Dict.obj,Error.obj," + -
                   "FontEncoding.obj,FontFile.obj,Gfx.obj," + -
                   "GfxFont.obj,GfxState.obj,ImageOutputDev.obj," + -
                   "Lexer.obj,Link.obj,Object.obj,OutputDev.obj,Page.obj," + -
                   "Params.obj,Parser.obj,PDFdoc.obj,Stream.obj,XRef.obj" + -
                   "''crypt_objs'"
$ PDFIMAGES_LIBS = "[-.goo]libgoo.olb/lib"
$! Build xpdf-ltk.h
$ def/user sys$input xpdf.ltk
$ def/user sys$output xpdf-ltk.h
$ run [-.ltk]ltkbuild
$!
$ CXXCOMP Array.cc
$ CXXCOMP Catalog.cc
$ CXXCOMP Dict.cc
$ CXXCOMP Error.cc
$ CXXCOMP FontEncoding.cc
$ CXXCOMP FontFile.cc
$ CXXCOMP Gfx.cc
$ CXXCOMP GfxFont.cc
$ CXXCOMP GfxState.cc
$ CXXCOMP ImageOutputDev.cc
$ CXXCOMP Lexer.cc
$ CXXCOMP Link.cc
$ CXXCOMP LTKOutputDev.cc
$ CXXCOMP Object.cc
$ CXXCOMP OutputDev.cc
$ CXXCOMP Page.cc
$ CXXCOMP Params.cc
$ CXXCOMP Parser.cc
$ CXXCOMP PBMOutputDev.cc
$ CXXCOMP PDFDoc.cc
$ CXXCOMP PSOutputDev.cc
$ CXXCOMP Stream.cc
$ CXXCOMP TextOutputDev.cc
$ CXXCOMP XOutputDev.cc
$ CXXCOMP XRef.cc
$ if (crypt_inst .eq. 2)
$ then 
$   CXXCOMP rc4.cc
$   CXXCOMP md5.cc
$ endif
$ CXXCOMP xpdf.cc
$ CXXCOMP pdftops.cc
$ CXXCOMP pdftotext.cc
$ CXXCOMP pdfinfo.cc
$ CXXCOMP pdftopbm.cc
$ CXXCOMP pdfimages.cc
$!
$ xpdf_link xpdf,'XPDF_OBJS,'XPDF_LIBS,[-]xpdf.opt/opt
$ xpdf_link pdftops,'PDFTOPS_OBJS,'PDFTOPS_LIBS,[-]xpdf.opt/opt
$ xpdf_link pdftotext,'PDFTOTEXT_OBJS,'PDFTOTEXT_LIBS,[-]xpdf.opt/opt
$ xpdf_link pdfinfo,'PDFINFO_OBJS,'PDFINFO_LIBS,[-]xpdf.opt/opt
$ xpdf_link pdftopbm,'PDFTOPBM_OBJS,'PDFTOPBM_LIBS,[-]xpdf.opt/opt
$ xpdf_link pdfimages,'PDFIMAGES_OBJS,'PDFIMAGES_LIBS,[-]xpdf.opt/opt
$ exit
